﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using TheLittleSpoon.Data;

namespace TheLittleSpoon.Migrations
{
    [DbContext(typeof(LittleSpoonDBContext))]
    [Migration("20191013132658_SeedData")]
    partial class SeedData
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.11-servicing-32099")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Name")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("RoleId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider");

                    b.Property<string>("ProviderKey");

                    b.Property<string>("ProviderDisplayName");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("RoleId");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("LoginProvider");

                    b.Property<string>("Name");

                    b.Property<string>("Value");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("TheLittleSpoon.Models.ApplicationUser", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AccessFailedCount");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Email")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed");

                    b.Property<bool>("LockoutEnabled");

                    b.Property<DateTimeOffset?>("LockoutEnd");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash");

                    b.Property<string>("PhoneNumber");

                    b.Property<bool>("PhoneNumberConfirmed");

                    b.Property<string>("SecurityStamp");

                    b.Property<bool>("TwoFactorEnabled");

                    b.Property<string>("UserName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");
                });

            modelBuilder.Entity("TheLittleSpoon.Models.Article", b =>
                {
                    b.Property<int>("ArticleId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("CategoryId");

                    b.Property<string>("Content");

                    b.Property<DateTime?>("DateCreated");

                    b.Property<string>("Header");

                    b.Property<string>("HomeImageUrl");

                    b.Property<bool>("IsShowMap");

                    b.Property<string>("Location");

                    b.Property<string>("Summary");

                    b.HasKey("ArticleId");

                    b.HasIndex("CategoryId");

                    b.ToTable("Articles");

                    b.HasData(
                        new { ArticleId = 1, CategoryId = 1, Content = @"
Ingredients:
1) 2 ½ cups  warm water (600 mL)
2) 1 teaspoon  sugar
3) 2 teaspoons  active dry yeast
4) 7 cups  all-purpose flour, plus more for dusting (875 g)
5) 6 tablespoons  extra virgin olive oil, plus more for greasing
6) 1 ½ teaspoons  kosher salt
7) ¼ cup  semolina flour (30 g)
8) 28 oz  canned whole tomatoes (795 g)



Preparation:
1) “Bloom” the yeast by sprinkling the sugar and yeast in the warm water. Let sit for 10 minutes, until bubbles form on the surface.
2) In a large bowl, combine the flour and salt. Make a well in the middle and add the olive oil and bloomed yeast mixture. Using a spoon, mix until a shaggy dough begins to form.
3) Once the flour is mostly hydrated, turn the dough out onto a clean work surface and knead for 10-15 minutes. The dough should be soft, smooth, and bouncy. Form the dough into a taut round.
4) Grease a clean, large bowl with olive oil and place the dough inside, turning to coat with the oil. Cover with plastic wrap. Let rise for at least an hour, or up to 24 hours.
5) Punch down the dough and turn it out onto a lightly floured work surface. Knead for another minute or so, then cut into 4 equal portions and shape into rounds.
6) Lightly flour the dough, then cover with a kitchen towel and let rest for another 30 minutes to an hour while you prepare the sauce and any other ingredients.
7) Preheat the oven as high as your oven will allow, between 450-500˚F (230-260˚C). Place a pizza stone, heavy baking sheet (turn upside down so the surface is flat), or cast iron skillet in the oven.
8) Meanwhile, make the tomato sauce: Add the salt to the can of tomatoes and puree with an immersion blender, or transfer to a blender or food processor, and puree until smooth.
9) Once the dough has rested, take a portion and start by poking the surface with your fingertips, until bubbles form and do not deflate.
10) Then, stretch and press the dough into a thin round. Make it thinner than you think it should be, as it will slightly shrink and puff up during baking.
11) Sprinkle semolina onto an upside down baking sheet and place the stretched crust onto it. Add the sauce and ingredients of your choice.
12) Slide the pizza onto the preheated pizza stone or pan. Bake for 15 minutes, or until the crust and cheese are golden brown.
13) Add any garnish of your preference.


", DateCreated = new DateTime(2019, 10, 13, 15, 50, 0, 0, DateTimeKind.Unspecified), Header = "Pizza", HomeImageUrl = "https://cdn.vox-cdn.com/thumbor/Bw3NpqYaGgr_wAVVO6DFThLeX24=/0x0:2000x1333/1200x800/filters:focal(840x507:1160x827)/cdn.vox-cdn.com/uploads/chorus_image/image/64037689/Pizza_pepperoni_close.7.jpg", IsShowMap = true, Location = "Naples, Italy", Summary = "Wonderful Homemade Pizza Just Like in Italy" },
                        new { ArticleId = 2, CategoryId = 1, Content = @"
Ingredients:
1) 3 cups  whole milk ricotta cheese (750 g)
2) 3 ½ cups  shredded low-moisture mozzarella, divided (350 g)
3) 1 ½ cups  grated parmesan cheese, divided (165 g)
4) 2 large eggs
5) 1 cup  fresh parsley, finely chopped, loosely packed (35 g)
6) 2 ½ teaspoons  kosher salt, divided
7) 2 tablespoons  olive oil
8) 1 medium yellow onion, diced
9) 1 lb  ground beef (455 g)
10) 4 cloves garlic, minced
11) 2 tablespoons  McCormick Savory Spice Blend
12) 6 cups  marinara sauce, divided (1.5 kg)
13) 1 nonstick cooking spray, for greasing
14) ½ lb  lasagna noodle, cooked according to package instructions (225 g)



Preparation:
1) Preheat the oven to 375˚F (190˚C).
2) In a large bowl, mix together the ricotta, 2 cups (200 G) of mozzarella, 1 cup (110 G) of Parmesan, eggs, parsley and 1 teaspoon salt. Set aside.
3) In a large pan, heat the olive oil over medium heat. Add the onion and sauté for 2-3 minutes, until translucent. Add the ground beef, breaking up with a wooden spoon. Stir in the garlic, Savory spice blend, and remaining 1½ teaspoons salt. Cook for 8 minutes, until the meat is no longer pink. Add 5 cups (1.3 Kilograms) of marinara sauce and stir to combine.
4) To assemble the lasagna, grease a 9 x 13-inch (22 x 33 cm) baking dish with nonstick spray. Spread the remaining cup of marinara sauce over the bottom of the dish. Lay 4 sheets of lasagna on top of the sauce. Spread 1½ cups (375 G) of the ricotta mixture on top of the noodles. Pour 1½ cups (395 G) of meat sauce on top of the cheese. Repeat with the remaining ingredients, finishing with a layer of meat sauce. Loosely cover the baking dish with foil.
5) Bake for 40 minutes.
6) Increase the oven temperature to 500ºF (260˚C). Uncover the lasagna and sprinkle the remaining 1½ cups (150 G) mozzarella and ½ cup (55 G) Parmesan over the top.
7) Bake the lasagna for 5 minutes more, until the cheese is bubbly and browned.


", DateCreated = new DateTime(2019, 10, 11, 8, 10, 0, 0, DateTimeKind.Unspecified), Header = "Lasagna", HomeImageUrl = "https://www.seriouseats.com/recipes/images/2014/07/lasanga-bolognese-1500x1125.jpg", IsShowMap = true, Location = "Rome, Italy", Summary = "Half Pizza, Half Cake. The Best of Both Worlds!" },
                        new { ArticleId = 3, CategoryId = 2, Content = @"
Ingredients:
1) 8 oz pad thai noodle, or noodles of your choice (250 g)
2) 2 tablespoons sesame oil, divided
3) 2 eggs
4) 1 chicken breast, diced
5) ¼ cup  shallot (25 g)
6) ¾ cup  pad thai sauce, we used 2 tablespoons each of fish sauce, rice vinegar, soy sauce, brown sugar, lime juice, and sriracha (175 mL)
7) 1 cup  bean sprout (100 g)
8) ½ cup  peanuts, crushed, plus more for garnish (65 g)
9) ¼ cup  green onion, plus more for garnish (25 g)
10) ¼ cup  fresh cilantro, plus more for garnish (10 g)



Preparation:
1) Cook the noodles according to the package instructions.
2) Toss with 1 tablespoon of sesame oil and set aside.
3) Add ½ teaspoon of sesame oil to a pot with the lightly beaten eggs. When the eggs are finished cooking, set aside.
4) Pour the remaining ½ tablespoon of sesame oil into the pot and add the diced chicken breast. Cook until no longer pink in the middle, then set aside.
5) Add the shallots to the pot and cook until lightly browned and fragrant. Then, add the noodles, eggs, and chicken back into the pot.
6) Pour in the pad Thai sauce and toss to coat.
7) Top with the bean sprouts, crushed peanuts, green onions, and cilantro, and stir until well blended.
8) Dish up and garnish with extra peanuts, green onions, and cilantro.


", DateCreated = new DateTime(2019, 9, 21, 10, 30, 0, 0, DateTimeKind.Unspecified), Header = "Pad Thai", HomeImageUrl = "https://minimalistbaker.com/wp-content/uploads/2019/01/Easy-Vegan-Pad-Thai-SQUARE.jpg", IsShowMap = true, Location = "Bangkok, Thailand", Summary = "The Most Famous Thai Dish, In Less Than 30 Minutes" },
                        new { ArticleId = 4, CategoryId = 2, Content = @"
Ingredients:
1) 2 cups sushi rice (460 g), cooked
2) ¼ cup seasoned rice vinegar (60 mL)
3) 4 half sheets sushi grade nori
4) 1 teaspoon sesame seed, optional
5) 8 pieces imitation crab
6) 1 small cucumber, cut into matchsticks
7) 1 avocado, thinly sliced



Preparation:
1) Season the sushi rice with the rice vinegar, fanning and stirring until room temperature.
2) On a rolling mat, place one sheet of nori with the rough side facing upwards.
3) Wet your hands and grab a handful of rice and place it on the nori. Spread the rice evenly throughout the nori without mashing the rice down. Season rice with a pinch of sesame seeds, if using, then flip it over so the nori is facing upwards.
4) Arrange, in a horizontal row 1 inch (2.5 cm) from the bottom, the crab followed by a row of avocado and a row of cucumber.
5) Grabbing both nori and the mat, roll the mat over the filling so the extra space at the bottom touches the other side, squeezing down to make a nice tight roll. Squeeze down along the way to keep the roll from holding its shape.
6) Transfer the roll onto a cutting board. Rub a knife on a damp paper towel before slicing the roll into six equal portions.


", DateCreated = new DateTime(2019, 1, 14, 22, 40, 0, 0, DateTimeKind.Unspecified), Header = "Sushi", HomeImageUrl = "https://img.bestrecipes.com.au/Gd8Mdexr/br/2017/05/cucumber-salmon-sushi-rolls-xlarge-ori-jpg-515020-1.jpg", IsShowMap = true, Location = "Tokyo, Japan", Summary = "The Famous California Roll, Easy and Delicious" },
                        new { ArticleId = 5, CategoryId = 3, Content = @"
Ingredients:
1) 15 oz garbanzo beans (425 g), 1 can, drained and rinsed
2) ½ teaspoon salt
3) ½ teaspoon ground cumin
4) 1 clove garlic, minced
5) 1 tablespoon lemon juice
6) 1 tablespoon extra virgin olive oil
7) ¼ teaspoon sesame oil
8) ¼ cup water (60 mL)



Preparation:
1) Pour the rinsed chickpeas onto half the area of a kitchen towel. Fold the other half of the towel on top of the beans, and rub them so that the skins start to come off.
2) Place all of the peeled beans in the bowl of a food processor, along with the salt, cumin, and garlic. Turn the processor on to break up the mixture.
3) With the food processor running, pour in the lemon juice, olive oil, sesame oil, and water, and let the processor run until the mixture is smooth.
4) Serve with your choice of dipping chips or veggies.


", DateCreated = new DateTime(2019, 4, 2, 3, 55, 0, 0, DateTimeKind.Unspecified), Header = "Hummus", HomeImageUrl = "https://www.cookingclassy.com/wp-content/uploads/2014/03/hummus-31.jpg", IsShowMap = true, Location = "Jerusalem, Israel", Summary = "The Dip of The Gods" },
                        new { ArticleId = 6, CategoryId = 3, Content = @"
Ingredients:
1) 30 oz  cans of chickpeas, drained and rinsed (850 g)
2) 1 red onion, chopped
3) ¼ cup  fresh parsley (10 g)
4) 4 cloves garlic
5) 1 tablespoon  lemon juice
6) 2 teaspoons  cumin
7) 1 teaspoon  salt, plus more to taste
8) 1 teaspoon  black pepper
9) ½ teaspoon  red pepper flakes
10) 1 cup  bread crumbs (115 g)
11) oil, for frying



Preparation:
1) To the bowl of a 2-quart (2 liter) food processor, add the chickpeas, onion, parsley, garlic, lemon juice, and spices. Pulse the ingredients together until just incorporated and they form a wet paste. Be careful not to overblend.
2) Transfer the chickpea mixture to a large bowl and add the bread crumbs, mixing until just incorporated. Cover with plastic wrap and refrigerate for 1-2 hours, or overnight.
3) Remove the chilled falafel mixture from the refrigerator and shape into 1-inch balls. The mixture should yield 18-20 balls.
4) In a large frying pan with high sides, heat about 1 inch (2.5 cm) of oil to 350˚F (180˚C). Fry the falafel balls in batches of 6 for 3 minutes, flipping halfway. Once they are golden brown and crispy, transfer them to a paper towel-lined plate and sprinkle with salt.
5) Serve the falafel as desired, either as a sandwich, salad topping, or over a bed of greens with a side of tahini sauce.


", DateCreated = new DateTime(2019, 9, 28, 16, 25, 0, 0, DateTimeKind.Unspecified), Header = "Falafel", HomeImageUrl = "https://img.buzzfeed.com/thumbnailer-prod-us-east-1/5937e1569b514f058d91ace7cc976140/BFV37212_FalafelTwoWays_TastyVeg_v4_1.jpg", IsShowMap = true, Location = "Istanbul, Turkey", Summary = "Little Brown Balls of Happiness" },
                        new { ArticleId = 7, CategoryId = 4, Content = @"
Ingredients:
1) all-purpose flour, for dusting
2) 14 oz  pizza dough (395 g)
3) ¼ cup  olive oil (60 mL)
4) 1 tablespoon  McCormick® Oregano Leaves
5) 2 teaspoons  McCormick® Garlic Powder
6) ½ teaspoon  McCormick® Crushed Red Pepper
7) 1 cup  marinara sauce (260 g)
8) 1 cup  shredded mozzarella cheese (200 g)
9) 10 pepperoni slice
10) 1 lb  mild italian sausage, cooked (455 g)
11) 1 cup  cherry tomato, halved (200 g)
12) ½ cup  parmesan cheese, freshly grated (55 g)
13) ¼ cup  fresh basil leaf, torn (10 g)



Preparation:
1) Preheat the oven to 400˚F (200˚C). Line a baking sheet with parchment paper.
2) Lightly flour a clean surface. Roll out the pizza dough and cut into 4 strips, then cut each strip into 8 triangles. Transfer the triangles to the prepared baking sheet.
3) In a small bowl, whisk together the olive oil, oregano, garlic powder and crushed red pepper.
4) Brush the seasoned oil over the pizza dough triangles.
5) Bake for 10 minutes, or until the chips are crispy and golden brown. Remove the chips from the oven and leave the oven on.
6) Layer half of the chips in a large cast iron skillet or on a baking sheet. Spoon on half of the marinara sauce, then top with half of the mozzarella, pepperoni, Italian sausage, and tomatoes. Layer on the remaining ingredients.
7) Bake for 5 minutes, or until the cheese is melted.
8) Top the nachos with freshly grated Parmesan cheese and the basil, then serve.


", DateCreated = new DateTime(2019, 9, 9, 18, 12, 0, 0, DateTimeKind.Unspecified), Header = "Nachos", HomeImageUrl = "https://thebusybaker.ca/wp-content/uploads/2017/12/rainbow-vegetable-skillet-nachos-fbig1.jpg", IsShowMap = true, Location = "Mexico City, Mexico", Summary = "Having People Over? Now You Have The Answer" },
                        new { ArticleId = 8, CategoryId = 4, Content = @"
Ingredients:
1) 1 cup  water (240 mL)
2) ⅓ cup  butter (75 g)
3) 2 tablespoons  brown sugar
4) salt, to taste
5) 1 cup  flour (125 g)
6) 1 teaspoon  vanilla extract
7) 2 eggs
8) cinnamon sugar, to coat
9) chocolate, melted, to taste



Preparation:
1) Preheat oven to 350°F (180˚C).
2) In a saucepan over medium heat, melt the butter and brown sugar in the water and bring to a boil.
3) Turn off the heat and stir in the flour.
4) Take the pot off of the heat source, and mix in the vanilla, then the eggs one at a time.
5) Transfer mixture to a piping bag with a 5 point, or star, tip.
6) Pipe out thick 3-inch (8 cm) strips of churro batter onto a baking sheet covered with parchment, using a knife to release each piece from the piping tip, if needed.
7) Bake for 10 minutes, then broil until golden brown.
8) Dredge each churro in melted butter, then cinnamon sugar.
9) Serve with melted chocolate if desired.


", DateCreated = new DateTime(2019, 8, 19, 8, 5, 0, 0, DateTimeKind.Unspecified), Header = "Churros", HomeImageUrl = "https://bakingamoment.com/wp-content/uploads/2019/04/IMG_4307-how-to-make-churros.jpg", IsShowMap = true, Location = "Mexico City, Mexico", Summary = "Once You Try One, You Won't Be Able to Have Enough!" },
                        new { ArticleId = 9, CategoryId = 5, Content = @"
Ingredients:
1) 1 cup  water (240 mL)
2) ⅓ cup  butter (75 g)
3) 2 tablespoons  brown sugar
4) salt, to taste
5) 1 cup  flour (125 g)
6) 1 teaspoon  vanilla extract
7) 2 eggs
8) cinnamon sugar, to coat
9) chocolate, melted, to taste



Preparation:
1) Preheat oven to 350°F (180˚C).
2) In a saucepan over medium heat, melt the butter and brown sugar in the water and bring to a boil.
3) Turn off the heat and stir in the flour.
4) Take the pot off of the heat source, and mix in the vanilla, then the eggs one at a time.
5) Transfer mixture to a piping bag with a 5 point, or star, tip.
6) Pipe out thick 3-inch (8 cm) strips of churro batter onto a baking sheet covered with parchment, using a knife to release each piece from the piping tip, if needed.
7) Bake for 10 minutes, then broil until golden brown.
8) Dredge each churro in melted butter, then cinnamon sugar.
9) Serve with melted chocolate if desired.


", DateCreated = new DateTime(2019, 6, 15, 14, 0, 0, 0, DateTimeKind.Unspecified), Header = "Potato Salad", HomeImageUrl = "https://hips.hearstapps.com/hmg-prod/images/190411-potato-salad-horizontal-1-1555688422.png", IsShowMap = true, Location = "Denver, Colorado, United States", Summary = "Don't Be Mistaken, These Aren't Just Mesahed Potatos" },
                        new { ArticleId = 10, CategoryId = 5, Content = @"
Ingredients:
1) 1 cup  water (240 mL)
2) ⅓ cup  butter (75 g)
3) 2 tablespoons  brown sugar
4) salt, to taste
5) 1 cup  flour (125 g)
6) 1 teaspoon  vanilla extract
7) 2 eggs
8) cinnamon sugar, to coat
9) chocolate, melted, to taste



Preparation:
1) Preheat oven to 350°F (180˚C).
2) In a saucepan over medium heat, melt the butter and brown sugar in the water and bring to a boil.
3) Turn off the heat and stir in the flour.
4) Take the pot off of the heat source, and mix in the vanilla, then the eggs one at a time.
5) Transfer mixture to a piping bag with a 5 point, or star, tip.
6) Pipe out thick 3-inch (8 cm) strips of churro batter onto a baking sheet covered with parchment, using a knife to release each piece from the piping tip, if needed.
7) Bake for 10 minutes, then broil until golden brown.
8) Dredge each churro in melted butter, then cinnamon sugar.
9) Serve with melted chocolate if desired.


", DateCreated = new DateTime(2019, 5, 22, 20, 30, 0, 0, DateTimeKind.Unspecified), Header = "Apple Pie", HomeImageUrl = "https://cdn3.tmbi.com/toh/GoogleImagesPostCard/exps6086_HB133235C07_19_4b_WEB.jpg", IsShowMap = true, Location = "New York, New York, United Stated", Summary = "Can You Really Get More American Than Apple Pie?" }
                    );
                });

            modelBuilder.Entity("TheLittleSpoon.Models.Category", b =>
                {
                    b.Property<int>("CategoryId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ColorARGB");

                    b.Property<string>("Description");

                    b.Property<string>("Name");

                    b.HasKey("CategoryId");

                    b.ToTable("Categories");

                    b.HasData(
                        new { CategoryId = 1, ColorARGB = -14513374, Description = "meravigliosa", Name = "Italian" },
                        new { CategoryId = 2, ColorARGB = -984833, Description = "arigatō", Name = "Asian" },
                        new { CategoryId = 3, ColorARGB = -2180985, Description = "majnun", Name = "Arabic" },
                        new { CategoryId = 4, ColorARGB = -360334, Description = "adiós", Name = "Mexican" },
                        new { CategoryId = 5, ColorARGB = -3730043, Description = "uncle sam", Name = "American" }
                    );
                });

            modelBuilder.Entity("TheLittleSpoon.Models.Comment", b =>
                {
                    b.Property<int>("CommentId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int>("ArticleId");

                    b.Property<string>("Author");

                    b.Property<string>("Content");

                    b.Property<DateTime>("DatePosted");

                    b.Property<int>("Sequence");

                    b.HasKey("CommentId");

                    b.HasIndex("ArticleId");

                    b.ToTable("Comments");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("TheLittleSpoon.Models.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("TheLittleSpoon.Models.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("TheLittleSpoon.Models.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("TheLittleSpoon.Models.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("TheLittleSpoon.Models.Article", b =>
                {
                    b.HasOne("TheLittleSpoon.Models.Category", "Category")
                        .WithMany("Articles")
                        .HasForeignKey("CategoryId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("TheLittleSpoon.Models.Comment", b =>
                {
                    b.HasOne("TheLittleSpoon.Models.Article", "Article")
                        .WithMany("Comments")
                        .HasForeignKey("ArticleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
